gnutls_pkcs11_token_set_pin(3)

NAME
gnutls_pkcs11_token_set_pin - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_token_set_pin(const char * token_url, const char * oldpin, const char * newpin, unsigned int flags);

ARGUMENTS

const char * token_url
    A PKCS 11 URL specifying a token

const char * oldpin
    old user's PIN

const char * newpin
    new user's PIN

unsigned int flags
    one of gnutls_pin_flag_t.

DESCRIPTION
This function will modify or set a user or administrator's PIN for the given token. If it is called to set a PIN for first time the oldpin must be NULL. When setting the admin's PIN with the GNUTLS_PIN_SO flag, the oldpin value must be provided (this requirement is relaxed after GnuTLS 3.6.5 since which the PIN will be requested if missing).

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/